# Backup extension
backup_ext=cn6-upgrade

# carnet-upgrade aborts if these packages are not up to date
# name		wanted version
needed_versions='
amavis-stats-cn	0.1.12-3lenny1
amavisd-cn	3:2.6.1-1
aosi-aai	3.0.7
aosi-www-aai	1:1.7.2
apache2-cn	2.2-5lenny1
bind9-cn	2:9.5.1-3
carnet-tools-cn	2.8.3
clamav-cn	3:0.95.3-1lenny1
debian-archive-keyring	2010.08.28~lenny1
dovecot-cn	1:1.0.15-2lenny2
fail2ban-cn	0.8.3-2lenny1
freeradius-aai	2.1.3-4
iptables-cn	2:1.4.2-1
kernel-2.6-cn	3:2.6.26.6
mailman-cn	2:2.1.11-1
monit-cn	1:4.10.1.4
munin-cn	1.2.6-1
mysql-cn	2:5.0.51-2lenny1
ntp-cn	2:4.2.4p4-1
openldap-aai	2.4.11-4
openssh-cn	2:5.1p1-1lenny1
php-suhosin-cn	0.9.27-1
php5-cn	5.2.6-1
postfix-cn	2.5.5-3lenny2
samba-cn	3.2.5-1
spamassassin-cn	2:3.2.5-7lenny1
squirrelmail-change-pass-cn	3.0.2
squirrelmail-cn	2:1.4.15-2lenny1
vsftpd-cn	2.0.7-1
webalizer-cn	2.01.10-32.4lenny1
'

# URL to use for checking the latest version of carnet-upgrade itself
packages_uri='http://ftp.carnet.hr/carnet-debian/dists/carnet-squeeze/main/binary-i386/Packages'

# Packages to forcibly install before installing the rest with dist-upgrade,
# because dist-upgrade would rather remove or keep them back them.
packages_first='
libkrb5-17-heimdal postgresql-client unixodbc iptables oidentd libpam-modules procps base-passwd dhcp3-client
'

# Packages that provide crucial services, upgrade them before the rest
packages_second='
amavisd-cn
amavis-stats-cn
aosi-aai
aosi-www-aai
bind9-cn bind9
clamav-cn clamav-daemon
dovecot-cn
freeradius-aai freeradius
isc-dhcp-client
jre-cn
kernel-2.6-cn
libkrb5-17-heimdal
monit-cn
munin-cn
mysql-cn mysql-client mysql-server
ntp-cn
openldap-aai
openssh-cn openssh-server openssh-client ssh
ossec-hids-cn
php4-odbc
php4-xslt
pine-cn
postfix-cn
spamassassin-cn	spamassassin razor
squirrelmail-cn squirrelmail
vsftpd-cn
webalizer-cn
xinetd-cn xinetd	
'

# We want to remove these packages, used in remove_bloat()
# nice name		packages to remove
bloats='
apache		apache apache-cn
gobjc gpc gcj gij chill g77		gcc-2.95-cn gcc-cn gcc-misc-cn gobjc gpc gcj gij chill g77
nessus		libnessus2 nessus-cn
ntop		ntop ntop-cn
prelude piwi	piwi piwi-cn libprelude0 prelude-sensors-cn prelude-manager-cn prelude-manager
snort		snort snort-cn snort-central-cn
squid		squid squid-cn
stari CN paketi	autoconf-cn automake-cn bison-cn bitchx-cn chkrootkit-cn cvs-cn diff-cn elinks-cn expect-cn file-cn flex-cn gawk-cn gdb-cn gettext-cn gnupg-cn grep-cn iptraf-cn jed-cn joe-cn less-cn lftp-cn logcheck-cn logrotate-cn lsof-cn ltrace-cn lynx-cn make-cn mutt-cn netcat-cn nmap-cn ntop-cn openssl-cn perl-cn procmail-cn python-cn razor-cn screen-cn slrn-cn strace-cn stunnel-cn sudo-cn sys-mon-cn tcpdump-cn telnet-ssl-cn telnetd-ssl unace-cn vim-cn wget-cn wv-cn ytalk-cn zsh-cn
usbmgr		usbmgr
'
# CN services to offer for removal
cn_bloats='
aide-cn aide-central-cn aide
amavisd-cn amavisd-new
amavis-stats-cn amavis-stats
bind9-cn bind9
clamav-cn clamav-daemon clamav-freshclam clamav clamav-base
dovecot-cn dovecot dovecot-imapd dovecot-pop3d dovecot-common
kernel-source-cn
jre-cn sun-java5-jre sun-java5-bin sun-java5-fonts
mailman-cn mailman
mrtg-cn mrtg
munin-cn munin munin-node
mysql-cn mysql-client mysql-server mysql-common
oidentd-cn oidentd
samba-cn samba smbclient
spamassassin-cn spamassassin spamc razor dcc-client
squirrelmail-cn squirrelmail squirrelmail-locales
vsftpd-cn vsftpd
webalizer-cn webalizer
xinetd-cn xinetd
'

# simulate deborphan
orphaned_packages='
libsensors3
diff
libcompress-zlib-perl
dhcp3-client
dhcp3-common
mktemp
'

# new packages to be installed
new_packages='
ocsinventory-agent-cn
mlocate
'

# Check if these services are running after upgrade
# package-cn		user		proces (pazi, regexp)			nice name
services_to_check='
amavisd-cn		amavis		amavisd [(]master[)]			Amavis
aosi-aai		aosi		/usr/sbin/aosi				AOSI
apache2-cn		www-data	/usr/sbin/apache2			Apache2
bind9-cn		bind		/usr/sbin/named				Bind
clamav-cn		clamav		/usr/bin/freshclam			ClamAV update
clamav-cn		clamav		/usr/sbin/clamd				ClamAV
dovecot-cn		root		/usr/sbin/dovecot			Dovecot
freeradius-aai		freerad		/usr/sbin/freeradius			FreeRADIUS
mailman-cn		list		/usr/lib/mailman/bin/mailmanctl		Mailman
monit-cn		root		/usr/sbin/monit				Monit
munin-cn		root		/usr/sbin/munin-node			Munin
mysql-cn		mysql		/usr/sbin/mysqld			MySQL
ntp-cn			ntp		/usr/sbin/ntpd				NTP
oidentd-cn		oident		/usr/sbin/oidentd			oidentd
openldap-aai		openldap	/usr/sbin/slapd				OpenLDAP
openssh-cn		root		/usr/sbin/sshd				OpenSSH
ossec-hids-cn		ossecm		/var/ossec/bin/ossec			OSSec
postfix-cn		root		/usr/lib/postfix/master			Postfix
postfix-cn		root		/usr/sbin/saslauthd			SASL authentication
postgresql		postgres	/usr/lib/postgresql/7.4/bin/postmaster	PostgreSQL
samba-cn		root		/usr/sbin/smbd				Samba
vsftpd-cn		root		/usr/sbin/vsftpd			VSFTPD
xinetd-cn		root		/usr/sbin/xinetd			xinetd
'
